version: "3"
networks:
  # Своё имя docker сети
  docker_prov_ota:
    driver: bridge
    driver_opts:
      # отключение ipv6
      com.docker.network.enable_ipv6: "false"
      # Своё имя интерфейса
      com.docker.network.bridge.name: "docker_prov_ota"
services:
  android_ota_server:
    networks:
      - docker_prov_ota
    build: .
    container_name: "android_ota_server"
    image: "imaqliq/android_ota_server:latest"
    restart: always
    volumes:
      - "../firmwares:/firmwares"
      - "./conf/auth:/auth"
      - "./conf/nginx.conf:/etc/nginx/nginx.conf"
    ports:
      - "8095:80/tcp"
    environment:
      - TZ=Europe/Moscow
      - UID=1002
      - GID=1003
    labels:
      - "android_ota_server"
    logging:
      driver: "json-file"
      options:
        max-size: "1m"
        max-file: "3"
    command: >
      sh -c "nginx -c /etc/nginx/nginx.conf; node server"
